#include <QApplication>
#include <QOpenGLFunctions>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QSurfaceFormat format;
    format.setDepthBufferSize(24);
    format.setStencilBufferSize(8);
    format.setProfile(QSurfaceFormat::CoreProfile);
    QSurfaceFormat::setDefaultFormat(format);

    MainWindow mainWin;
    mainWin.setWindowTitle("My GL Widget");
    mainWin.show();
    return app.exec();
}
